;this is a demo i made to learn asm
;try and learn from all the comments
;enjoy all the comments

#include "ti86asm.inc" 		;the big one from acz
;you need that include file for the call _get_key
;_get_key is the same as GET_KEY but only faster

delaytime = _textShadow		; a temp var used in delay time loop


.org _asm_exec_ram

	nop				;stuff for a shell title
	jp ProgStart
	.dw 0
	.dw ShellTitle

ShellTitle:
	.db "Star Demo by Matt C!!!",0	

ProgStart:
	call _runindicoff		;hmm what does this do?
	call _flushallmenus		;clear all menus
	call _clrScrn			;clear screen
	ld hl,delaytime		;set up delay time with 2
	ld (hl),2

mainloop:
	ld hl,layer1		;hl points to layer1 data
	ld de,$fc00			;de points to the vid mem
	ld bc,1024			;# of bytes to move
	ldir				;copy it remember de=DEstination
	ld de,layer2		;de points to layer2 data
	ld hl,$fc00			;hl points to vid mem

;we cant just copy the second layer because the first star field is on screen
	ld c,64			;used as a counter
loop1:
	ld b,4			;anouther counter
loop2:
	ld a,(de)  ;get current byte from layer 2
	or (hl)		;then  OR that with whatever is on the screen
	ld (hl),a		;write the new data
	inc hl		;increase both pointers
	inc de		;this is repeted 4 times inside the djnz loop which we do 64*4 times
;you could save space by changing <ld b,4> to <ld b,16> and putting the <djnz loop2>
;or make it faster by putting 16 of the first 5 lines inside loop1 and only use c as a counter
	ld a,(de)  ;get current byte from layer 2
	or (hl)		;that Or whatever is on the screen
	ld (hl),a		;make the changes
	inc hl
	inc de
	ld a,(de)  ;get current byte from layer 2
	or (hl)		;that Or whatever is on the screen
	ld (hl),a		;make the changes
	inc hl
	inc de
	ld a,(de)  ;get current byte from layer 2
	or (hl)		;that Or whatever is on the screen
	ld (hl),a		;make the changes
	inc hl
	inc de
	djnz loop2
	dec c
	jp nz,loop1

	ld hl,layer1-1 		;hl points to the layer to scroll minus 1
	call Scrollr		;scroll it
	ld hl,layer2-1		;same for layer 2
	call Scrollr		;guess??
	ld hl,layer2-1		;do it twict to make it look faster
	call Scrollr

	call _get_key		;get a key	
	cp K_EXIT			;if its exit leave
	jp z,_clrScrn		;quick way out	
	cp K_UP				;if up is pressed
	jp z,uppressed		;go to uppressed
	cp K_DOWN			;if donw is pressed
	jp z,downpressed	;go to downpressed
	jp donekey			;go to done with keys
uppressed:
	ld hl,delaytime		;hl points to delay time
	dec (hl)			;increase the byte at (hl)
	jp donekey			;note it can wrap past zero
;example if up press up to make it go faster and go past zero its like looping 255 times
downpressed:
	ld hl,delaytime
	inc (hl)		;now we increase the delay time
donekey:
	ld a,(delaytime)		;get the current delay time
	ld b,a				;into a
delay:
	halt				;wait ~1/200 secs
	djnz delay			;do it (delaytimes)

	jp mainloop			;back to the top


;input hl = virtual screen minus 1
;output virtual screen is scrolled the the right 1 pixel
;note this uses a wrapping effect uncomment the ;or a line to insert a clear pixel
;example ld hl,$fc00-1
;call scrollr
;thanks to James Rubingh for this great routine which i changed for my own needs

Scrollr: 
	or a				;clear the carry before the scroll routine
  ld c,64 		;a counter
scroll3: 		;loop with the counter
  ld b,4 		;another counter
;  or a 		; i want the screen to wrap around so we leave the carry flag alone
scroll2: 	;another loop
  inc  hl 	;increase where hl points to, the first time it points to the actual data
  rr (hl) 	;rotate it right with the carry
  inc hl 
  rr (hl) 
  inc hl 
  rr (hl) 
  inc hl 
  rr (hl) 
  djnz scroll2 	;do it 4 times
  dec c 	;dec counter
  jr nz,scroll3 	;if not zero were not done
  ret 	;go back
;to make this scroll left just change all the <inc hl \ rr (hl)> to <dec hl \ rl (hl)> 
;and the input will be the end of the screen +plus 1 to do the vid mem (end is $ffff) input 0
;to get rid of the wrapping effect uncomment the ;or a line

;these are the layer data made with windows paint and Assembly Toolbox
;i tried using some random routines but they give the same patter every time
;we could compress these using david phillips' rle but then we would have to put the 
;uncompressed versions into to ram locations that are 1024 bytes
;1 is the graph mem and once i find another i will work on optomizing this


;Created with the Assembly Toolbox by Spooky
layer1:
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000010,%00000000,%00000000,%00000000,%00000000,%00000000,%00000010,%00000000,%00000000,%00000000
  .db %00000000,%00100000,%00000000,%00000000,%00000000,%01000000,%00000111,%00000000,%00000000,%00000000,%00000000,%00000000,%00000111,%00000000,%00000000,%00000000
  .db %00000000,%01110000,%00000000,%00000000,%00000000,%11100000,%00000010,%00000000,%00000000,%00000000,%00000010,%00000000,%00000010,%00000000,%00000000,%00000000
  .db %00000000,%00100000,%00000000,%00000000,%00000000,%01000000,%00000000,%00000000,%00000000,%00000000,%00000111,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000010,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000010,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000111,%00000000,%00000000,%00000000,%00000000,%00000000,%00001000,%00000000,%00000000,%00100010,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000010,%00000000,%00000000,%00000000,%00000000,%01000000,%00011100,%00000000,%00000000,%01110111,%00000000,%00000000,%00010000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00010000,%00000000,%11100000,%00001000,%00000000,%00000000,%00100010,%00000000,%00010000,%00111000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00111000,%00000000,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00111000,%00010000
  .db %00000000,%00000000,%00001000,%00000000,%00000000,%00000100,%00010000,%00000000,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00010000,%00000000
  .db %00000000,%00000000,%00011100,%00000000,%00000000,%00001110,%00000000,%00000000,%11100000,%00000000,%00000000,%00000000,%00000000,%00000001,%00000000,%00000000
  .db %00000000,%00000000,%00001000,%00000000,%00000000,%00000100,%00000000,%00000000,%01000000,%00000000,%00000000,%00000000,%00000000,%00000011,%10000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000001,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00001000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000010,%00000000,%00000000,%00011100,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000111,%00000000,%00000000,%00001000,%00000000,%00000000,%00000000,%00000001,%00000000
  .db %00000000,%00000001,%00000000,%00000000,%00000000,%00000000,%00000000,%00000010,%00000000,%00000000,%00000000,%00000000,%00000000,%00000100,%00000011,%10000000
  .db %00000000,%00000011,%10000000,%00000000,%00000000,%00010000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00001110,%00000001,%00000000
  .db %00000000,%00000001,%00000000,%00000000,%00000000,%00111000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000100,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00001000,%00000000,%00010000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00011100,%00000000,%00000000,%00000000,%00000000,%00000000,%01000000,%00000000,%01000000,%00000000,%00000000,%00000001,%00000000
  .db %00000000,%00000000,%00000000,%00011100,%00000000,%00000000,%00000000,%00100000,%00000000,%11100000,%00000010,%00000000,%00010000,%00000000,%00000011,%10000000
  .db %00000000,%00000000,%00000000,%00001000,%00000000,%00000000,%00000000,%01110000,%00000000,%01000000,%00000111,%00000000,%00111000,%00000001,%00000001,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000001,%00100000,%00000000,%00000000,%00000010,%00000000,%00111000,%00000011,%10000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000011,%10000000,%00000000,%00000000,%00000000,%00000000,%00111000,%00000001,%00000000,%00000000
  .db %00100000,%00000000,%00000000,%00000000,%00000000,%00010000,%00000001,%00000000,%00000000,%00000000,%00000000,%00000000,%00011100,%00000000,%00000000,%00000000
  .db %01110000,%00010000,%00000000,%00000000,%00000000,%00111000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00011100,%00000000,%00000000,%00000000
  .db %00100000,%00111000,%00000000,%00000000,%00000000,%00010000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00001000,%00000000,%00000000,%00000000
  .db %00000000,%00010000,%00000000,%00000000,%00000000,%00000000,%00000000,%00001000,%00000000,%00000000,%00000000,%00000000,%00000100,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00011100,%00000000,%00000000,%00000000,%00000000,%00001110,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00001000,%00000000,%00000000,%00000000,%00000000,%00000100,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000100,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00001110,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000100,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000010,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000001,%00000000,%00000000,%00000000,%00000000,%00000000,%00000111,%00000000
  .db %00000000,%00000000,%00000000,%00000110,%00000000,%00000000,%00000000,%00000000,%00000011,%10000000,%00000000,%00000000,%00000001,%00000000,%00000010,%00000000
  .db %00000000,%00000000,%00000000,%00001111,%00000000,%00000000,%00000010,%00000000,%00000001,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%01000110,%00000000,%00000000,%00000111,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%11100000,%00000000,%00000000,%00000010,%01000000,%00000000,%00000000,%00000001,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000011,%10000000,%01000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000001,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00100000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00010000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000001,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00100001,%00000000,%00000011,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00001000,%10000000,%00000000,%00000000,%00000000
  .db %00000000,%01110011,%10000000,%00000001,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00011101,%11000000,%00000000,%00000000,%00000000
  .db %00000000,%00100001,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00100000,%00000000,%00000000,%00011101,%11000000,%00000000,%00010000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00001000,%00000000,%00000000,%01110000,%00000000,%00000000,%00001001,%11000000,%00000000,%00111000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00011100,%00000000,%00000000,%00100000,%00000000,%00000000,%00000000,%10000000,%00000000,%00010000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00111000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00010000,%00000000,%00000000,%00000000,%00000000,%00000001,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000001,%00000000,%00000000,%00000000,%00000000,%00000000,%00000011,%10000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000011,%10000000,%00000000,%00000000,%00000000,%00000000,%00000001,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000001,%00000000,%00000000,%00000000,%00000000,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%11100000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000



;Created with the Assembly Toolbox by Spooky
layer2:
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00100000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%11100000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01110000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00100000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00001000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00011100,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00001000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000100,%00010000,%00000000,%00000000,%00100000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00001110,%00111000,%00000000,%00000000,%01110000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00001000,%00000000
  .db %00000000,%00000000,%00000100,%00010000,%00000000,%00000000,%00100000,%00000000,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00011100,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%11100000,%00001000,%00000000,%00000000,%00000000,%00000000,%00001000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01000000,%00011100,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00001000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00100000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01110000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00100000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000010,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00001000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000111,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00011100,%00000000,%00000000,%00000000,%00000000,%00000000,%00000010,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00001000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000100,%00000000,%00000000,%00000100,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00001111,%00000000,%00000000,%00001110,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000111,%10000000,%00000000,%00000100,%00000000,%00001000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000011,%00000000,%00000000,%00000000,%00000000,%00011100,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00100000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00001000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%01110000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00100000,%00000000,%00000000,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000001,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%10000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%10000000,%00000000,%00000000,%01000000,%00000000,%00000000,%00000000,%00000001,%11000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%11100000,%00000000,%00000000,%00000000,%00000000,%10000000
  .db %00000000,%00000000,%00000010,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000111,%00000000,%00000000,%00000000,%00000000,%00000010,%00000000,%00000000,%00000000,%00000000,%01000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000010,%00000000,%00000000,%00000000,%00000000,%00000111,%00000000,%00000000,%00000000,%00000000,%11100000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000010,%00000000,%00000000,%00000000,%00000000,%01000000,%00000000,%00000000,%00000000
  .db %00000000,%00000010,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000111,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000010,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%10000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%11100000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000001,%11000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01000000,%00000100,%00000000,%00000000,%00000000,%00000000,%00000000,%00000100,%00000000,%10000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00001110,%00000000,%00000100,%00000000,%00000000,%00000000,%00001110,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00001000,%00000000,%00000000,%00000100,%00000000,%00001110,%00000000,%00000000,%00000000,%00000100,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00011100,%00000000,%00000000,%00000000,%00000000,%00000100,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00001000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
  .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000




.end
